org.eclipse.cdt.utils.elf

## Class Elf.Symbol

- java.lang.Object
- - org.eclipse.cdt.utils.elf.Elf.Symbol

All Implemented Interfaces:
  Comparable<Object>

Enclosing class:
  Elf

    public class Elf.Symbol
    extends Object
    implements Comparable<Object>

### Field Summary

Fields
`static int` `SHN_ABS`
`static int` `SHN_COMMON`
`static int` `SHN_HIOS`
`static int` `SHN_HIPROC`
`static int` `SHN_HIRESERVE`
`static int` `SHN_LOOS`
`static int` `SHN_LOPROC`
`static int` `SHN_LORESERVE`
`static int` `SHN_UNDEF`
`static int` `SHN_XINDEX`
`short` `st_info`
`long` `st_name`
`short` `st_other`
`short` `st_shndx`
`long` `st_size`
`IAddress` `st_value`
`static int` `STB_GLOBAL`
`static int` `STB_LOCAL`
`static int` `STB_WEAK`
`static int` `STT_FILE`
`static int` `STT_FUNC`
`static int` `STT_NOTYPE`
`static int` `STT_OBJECT`
`static int` `STT_SECTION`

### Constructor Summary

Constructors
Constructor and Description
`Symbol(Elf.Section section)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Object obj)`
`int` `st_bind()`
`int` `st_type()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STB_LOCAL

    public static final int STB_LOCAL

See Also:
  Constant Field Values

#### STB_GLOBAL

    public static final int STB_GLOBAL

See Also:
  Constant Field Values

#### STB_WEAK

    public static final int STB_WEAK

See Also:
  Constant Field Values

#### STT_NOTYPE

    public static final int STT_NOTYPE

See Also:
  Constant Field Values

#### STT_OBJECT

    public static final int STT_OBJECT

See Also:
  Constant Field Values

#### STT_FUNC

    public static final int STT_FUNC

See Also:
  Constant Field Values

#### STT_SECTION

    public static final int STT_SECTION

See Also:
  Constant Field Values

#### STT_FILE

    public static final int STT_FILE

See Also:
  Constant Field Values

#### SHN_UNDEF

    public static final int SHN_UNDEF

See Also:
  Constant Field Values

#### SHN_LORESERVE

    public static final int SHN_LORESERVE

See Also:
  Constant Field Values

#### SHN_LOPROC

    public static final int SHN_LOPROC

See Also:
  Constant Field Values

#### SHN_HIPROC

    public static final int SHN_HIPROC

See Also:
  Constant Field Values

#### SHN_LOOS

    public static final int SHN_LOOS

See Also:
  Constant Field Values

#### SHN_HIOS

    public static final int SHN_HIOS

See Also:
  Constant Field Values

#### SHN_ABS

    public static final int SHN_ABS

See Also:
  Constant Field Values

#### SHN_COMMON

    public static final int SHN_COMMON

See Also:
  Constant Field Values

#### SHN_XINDEX

    public static final int SHN_XINDEX

See Also:
  Constant Field Values

#### SHN_HIRESERVE

    public static final int SHN_HIRESERVE

See Also:
  Constant Field Values

#### st_name

    public long st_name

#### st_value

    public IAddress st_value

#### st_size

    public long st_size

#### st_info

    public short st_info

#### st_other

    public short st_other

#### st_shndx

    public short st_shndx

### Constructor Detail

#### Symbol

    public Symbol(Elf.Section section)

### Method Detail

#### st_type

    public int st_type()

#### st_bind

    public int st_bind()

#### compareTo

    public int compareTo(Object obj)

Specified by:
  `compareTo` in interface `Comparable<Object>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`